## org.json
Class JSONException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.json.JSONException

All Implemented Interfaces:
  java.io.Serializable

    public class JSONException

extends java.lang.Exception

The JSONException is thrown by the JSON.org classes when things are amiss.

Version:
  2010-12-24
Author:
  JSON.org
See Also:
  Serialized Form

Constructor Summary
`JSONException(java.lang.String message)` Constructs a JSONException with an explanatory message.
`JSONException(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONException

    public JSONException(java.lang.String message)

  Constructs a JSONException with an explanatory message.

  Parameters:
    `message` - Detail about the reason for the exception.

### JSONException

    public JSONException(java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`